<!DOCTYPE html>
<html>
  <head>
    <title>Hash</title>

    <script
      asnyc="asnyc"
      type="application/javascript"
      charset="utf-8"
      src="./index.ts"
    ></script>
  </head>

  <body>
    <div>
      <h1>Event</h1>

      <a href="/one">One</a>
      <br />
      <a href="/two?key=value">Two</a>
      <br />
      <a href="/three?key=value#hash">Three</a>
      <br />
      <a href="/four">Four, redirect to home</a>
      <br />
      <a href="/error">Error, reject request</a>
      <br />
    </div>
    <div>
      <h1>Manual</h1>

      <a id="one" data-pathname="/one" style="cursor: pointer;">One</a>
      <br />
      <a id="two" data-pathname="/two?key=value" style="cursor: pointer;"
        >Two</a
      >
      <br />
      <a
        id="three"
        data-pathname="/three?key=value#hash"
        style="cursor: pointer;"
        >Three</a
      >
      <br />
      <a id="four" data-pathname="/four" style="cursor: pointer;"
        >Four, redirect to home</a
      >
      <br />
      <a id="error" data-pathname="/error" style="cursor: pointer;"
        >Error, reject request</a
      >
      <br />
    </div>

    <div>
      <button id="back">Back</button>
      <button id="forward">Forward</button>
    </div>
  </body>
</html>
